# claim\_referral

This entrypoint is designed to withdraw some of the collected referral rewards by the selected token.

### Call parameters

<table><thead><tr><th width="150">Field</th><th width="150" align="center">Type</th><th width="448.2">Description</th></tr></thead><tbody><tr><td>token</td><td align="center"><code>token_t</code></td><td><code>FA2/FA1.2</code> token to claim.</td></tr><tr><td>amount</td><td align="center"><code>nat</code></td><td>amount of tokens to claim.</td></tr></tbody></table>

```pascaligo
type claim_by_token_param_t is [@layout:comb] record [
  token                   : token_t;
  amount                  : nat;
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/quipuswap-stable-swap-dex/standalone-dex/dex-methods/dex-rewards/claim_referral.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
